# -*-makefile-*-
#
# Copyright (C) 2012 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_FIRMWARE_IMX) += firmware-imx

#
# Paths and names
#
FIRMWARE_IMX_VERSION	:= 3.0.35-4.0.0
FIRMWARE_IMX_MD5	:= 74747627e8f4c0708a5d509384694850
FIRMWARE_IMX		:= firmware-imx-$(FIRMWARE_IMX_VERSION)
FIRMWARE_IMX_SUFFIX	:= tar.gz
FIRMWARE_IMX_URL	:= /$(FIRMWARE_IMX).$(FIRMWARE_IMX_SUFFIX)
FIRMWARE_IMX_SOURCE	:= $(SRCDIR)/$(FIRMWARE_IMX).$(FIRMWARE_IMX_SUFFIX)
FIRMWARE_IMX_DIR	:= $(BUILDDIR)/$(FIRMWARE_IMX)
FIRMWARE_IMX_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(FIRMWARE_IMX_SOURCE):
#	@$(call targetinfo)
#	@$(call get, FIRMWARE_IMX)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#FIRMWARE_IMX_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#FIRMWARE_IMX_CONF_TOOL	:= autoconf
#FIRMWARE_IMX_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

$(STATEDIR)/firmware-imx.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/firmware-imx.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/firmware-imx.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/firmware-imx.targetinstall:
	@$(call targetinfo)

	@$(call install_init, firmware-imx)
	@$(call install_fixup, firmware-imx,PRIORITY,optional)
	@$(call install_fixup, firmware-imx,SECTION,base)
	@$(call install_fixup, firmware-imx,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, firmware-imx,DESCRIPTION,missing)

	@$(call install_copy, firmware-imx, 0, 0, 0755, $(FIRMWARE_IMX_DIR)/firmware/vpu/vpu_fw_imx6q.bin, /lib/firmware/vpu/vpu_fw_imx6q.bin)

	@$(call install_finish, firmware-imx)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/firmware-imx.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, FIRMWARE_IMX)

# vim: syntax=make
